Get Transport Nodes Status

Get Transport Nodes Status
Get status of all transport nodes associated with the Virtual Network Appliance Cluster.

Retrieves the status of all member transport nodes associated with the Virtual Network Appliances of the specified Cluster.

Request
URI
GET
https://{api_host}/cloudapi/v1/virtualNetworkApplianceClusters/{virtualNetworkApplianceClusterId}/transportNodesStatus
COPY
Path Parameters
string
virtualNetworkApplianceClusterId
Required

virtualNetworkApplianceClusterId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns EdgeClusterTransportNodeStatusList of type(s) application/json;version=9.1.0
{
    "values": [
        {
            "nodeName": "string",
            "totalCpuCoreCount": 0,
            "datapathCpuCoreCount": 0,
            "serviceCpuCoreCount": 0,
            "avgDatapathCpuUsagePercentage": "number",
            "avgServiceCpuUsagePercentage": "number",
            "systemMemoryUsagePercentage": "number",
            "datapathMemoryUsagePercentage": "number",
            "healthStatus": "string"
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/virtualNetworkApplianceClusters/{virtualNetworkApplianceClusterId}/transportNodesStatus